/////////////////////////////////////////////////////////////////////
//  NEWSHAD.S		-	New Shadowguard
/////////////////////////////////////////////////////////////////////

SETUP

    IF  !gd_PLACED_SHADOW_TOWNSFOLK
        Add  gd_PLACED_SHADOW_TOWNSFOLK

		PlaceC					SHAD_CIT_1	pC_1
		PlaceC					SHAD_CIT_2	pC_2
		PlaceC					SHAD_CIT_3	pC_3A
	    PlaceC					SHAD_CIT_4	pC_4A
	    PlaceC					SHAD_CIT_5	pC_5
		PlaceC					SHAD_CIT_6	pC_6
		RunS SHAD_CIT_1_Actions
		RunS SHAD_CIT_2_Actions
		RunS SHAD_CIT_3_Actions
		RunS SHAD_CIT_4_Actions
		RunS SHAD_CIT_5_Actions
		RunS MournerActions

	ENDIF

	IF gt_PLACED_GUILD_VAMPS && !gt_QLR023
		Add gt_QLR023
		QLRemove ql023
	ENDIF

	// Remove the assasins who left the pub
	IF ONMAP-FOS_ASSN_F
		RemoveC FOS_ASSN_F
	ENDIF

	IF ONMAP-FOS_ASSN_M
		RemoveC FOS_ASSN_M
	ENDIF

	IF !gt_RECENT_MUSIC_IN_SHADOWGUARD
		Add gt_RECENT_MUSIC_IN_SHADOWGUARD
		PlayMusic MUSIC01.WAV
	ENDIF

END

VIG TempSetup FALSE

	IF gt_PLAYED_CRUX_VAMP
		IDoorOpen dManorex
	ELSE
		IDoorLocked dManorex
	ENDIF

	DisableTeleport NS_HEXSTONE

	Set	gd_WEATHER_TYPE	0
	Set gd_WIND_TYPE	1
    RunS CueWeather

END

/////////////////////////////////////////////////////////////////////

VIG SHAD_CIT_1_Actions FALSE

    AddControl				SHAD_CIT_1	Capture         cM_TALK_QUESTION1
    AddControl				SHAD_CIT_1	Capture         cM_TALK_REFER_LEFT1
    AddControl				SHAD_CIT_1	Capture         cM_TALK_AGREE2
    AddControl				SHAD_CIT_1	Capture         cM_TALK_WARNING2
	AddControl				SHAD_CIT_1	Filter	Timeout	2	LookAtTurnFollow	SHAD_CIT_2
    SequenceRandomlySelects	SHAD_CIT_1
    AddFilter				SHAD_CIT_1	KeepPositionD   pC_1
    Lock					SHAD_CIT_1

END

/////////////////////////////////////////////////////////////////////

VIG SHAD_CIT_2_Actions FALSE

    AddControl				SHAD_CIT_2	Capture         cM_TALK_REFER_OTHER_PERSON1
    AddControl				SHAD_CIT_2	Capture         cM_TALK_QUESTION2
    AddControl				SHAD_CIT_2	Capture         cM_TALK_AGREE3
    AddControl				SHAD_CIT_2	Capture         cM_TALK_REFER_SELF2
	AddControl				SHAD_CIT_2	Filter	Timeout	2	LookAtTurnFollow	SHAD_CIT_1
    SequenceRandomlySelects	SHAD_CIT_2
    AddFilter				SHAD_CIT_2	KeepPositionD   pC_2
    Lock					SHAD_CIT_2

END

/////////////////////////////////////////////////////////////////////

VIG SHAD_CIT_3_Actions FALSE

    AddControl				SHAD_CIT_3	MoveC           pC_3B
    AddControl				SHAD_CIT_3	MoveC           pC_3C
    AddControl				SHAD_CIT_3	MoveC           pC_3A
    SequenceLoops			SHAD_CIT_3

END

/////////////////////////////////////////////////////////////////////

VIG SHAD_CIT_4_Actions FALSE

    AddControl				SHAD_CIT_4	MoveC           pC_4B
    AddControl				SHAD_CIT_4	MoveC           pC_4C
    AddControl				SHAD_CIT_4	MoveC           pC_4B
    AddControl				SHAD_CIT_4	MoveC           pC_4A
    SequenceLoops			SHAD_CIT_4

END

/////////////////////////////////////////////////////////////////////

VIG SHAD_CIT_5_Actions FALSE

    AddControl				SHAD_CIT_5	Capture			cF_OBJ_SWAP_BETWEEN_HANDS2_REPEAT
    AddControl				SHAD_CIT_5	Capture			cF_STAND_AT_EASE
    AddControl				SHAD_CIT_5	Capture			cF_STAND_AT_EASE2
    SequenceRandomlySelects	SHAD_CIT_5
    AddFilter				SHAD_CIT_5	KeepPositionD   pC_5
    Lock					SHAD_CIT_5

END

/////////////////////////////////////////////////////////////////////

VIG TalkToSHAD_CIT_1 MSG-iSHAD_CIT_1

	Widescreen TRUE
	UnDrawSwordRemember
	EngageAndFace P SHAD_CIT_1
	UUComplete P
	IF mj_DEFEAT_LIGHTSTEALER
		//"Listen close...a Thardolin ship was sighted..."
		Say bkm003 BKINMAN1.BIN
	ELSE
		//"Hail, brother. Our war against Lightstealer goes well."
		Say bkm002 BKINMAN1.BIN
		Add co_LIGHTSTEALER
	ENDIF
	Widescreen FALSE
	RunS SHAD_CIT_1_Actions

END

/////////////////////////////////////////////////////////////////////

VIG TalkToSHAD_CIT_2 MSG-iSHAD_CIT_2

	Widescreen TRUE
	UnDrawSwordRemember
	EngageAndFace P SHAD_CIT_2
	UUComplete P
	IF mj_DEFEAT_LIGHTSTEALER
		//"Listen close...a Thardolin ship was sighted..."
		Say bkm003 BKINMAN2.BIN
	ELSE
		//"Hail, brother. Our war against Lightstealer goes well."
		Say bkm002 BKINMAN2.BIN
		Add co_LIGHTSTEALER
	ENDIF
	Widescreen FALSE
	RunS SHAD_CIT_2_Actions

END

/////////////////////////////////////////////////////////////////////

VIG TalkToSHAD_CIT_3 MSG-iSHAD_CIT_3

	Widescreen TRUE
	UnDrawSwordRemember
	EngageAndFace P SHAD_CIT_3
	UUComplete P
	IF mj_DEFEAT_LIGHTSTEALER
		//"Listen close...a Thardolin ship was sighted..."
		Say bkm003 BKINMAN3.BIN
	ELSE
		//"Hail, brother. Our war against Lightstealer goes well."
		Say bkm002 BKINMAN3.BIN
		Add co_LIGHTSTEALER
	ENDIF
	Widescreen FALSE
	RunS SHAD_CIT_3_Actions

END

/////////////////////////////////////////////////////////////////////

VIG TalkToSHAD_CIT_4 MSG-iSHAD_CIT_4

	Widescreen TRUE
	UnDrawSwordRemember
	EngageAndFace P SHAD_CIT_4
	UUComplete P
	IF !mj_RESCUE_BANE
		//"Be wary...things have been sighted at Khulindah's mound."
		Say bkf003 BKINFEM4.BIN
	ELSE
		//"Greetings, brother...we will soon return to our homeland."
		Say bkf002 BKINFEM4.BIN
	ENDIF
	Widescreen FALSE
	RunS SHAD_CIT_4_Actions

END

/////////////////////////////////////////////////////////////////////

VIG TalkToSHAD_CIT_5 MSG-iSHAD_CIT_5

	Widescreen TRUE
	UnDrawSwordRemember
	EngageAndFace P SHAD_CIT_5
	UUComplete P
	IF !mj_RESCUE_BANE
		//"Be wary...things have been sighted at Khulindah's mound."
		Say bkf003 BKINFEM2.BIN
	ELSE
		//"Greetings, brother...we will soon return to our homeland."
		Say bkf002 BKINFEM2.BIN
	ENDIF
	Widescreen FALSE
	RunS SHAD_CIT_5_Actions

END

/////////////////////////////////////////////////////////////////////

VIG MournerActions FALSE

	DelayControl			SHAD_CIT_6					1	1
	AddControl				SHAD_CIT_6	DelayControl	2	2
	AddControl				SHAD_CIT_6	DelayControl	5	5
	AddControl				SHAD_CIT_6	Capture cF_MEL_SCATTER1_PICK
	AddControl				SHAD_CIT_6	Capture cF_MEL_SCATTER2_SATTER
	SequenceRandomlySelects	SHAD_CIT_6
	AddFilter				SHAD_CIT_6	FilterToStart

END

/////////////////////////////////////////////////////////////////////

VIG TalkToMourner MSG-iSHAD_CIT_6

	Widescreen TRUE
FreeCam
SetCamMoveConstant 10
CamNLock 355
CamPan SHAD_CIT_6

	Engage P pMOURN_3 250
	AddControl P MoveCDir pMOURN_1
	UUComplete P
	UUCameraComplete
	Wait 500

	LookAtFollow SHAD_CIT_6 P
	Wait 5000

	MoveC P pMOURN_3
	Wait 2000
	LookAt SHAD_CIT_6 pMOURN_2

	UUComplete P

	Widescreen FALSE
FreeCam
SetCamMoveNormal
NormalCam
CamCut P
	RunS MournerActions

END

/////////////////////////////////////////////////////////////////////
